package com.productiontest.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 生态平台服务地址
 */
@Component
@ConfigurationProperties(prefix = "ims")
@Data
public class ImsConfig {

    private String enterpriseClient;

    private String product;

    private String business;


}
