package com.productiontest.domain;

import com.productiontest.common.annotation.Excel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 老化任务-测试详情对象 aging_task_detail
 * 
 * @author cf
 * @date 2023-02-15
 */
@Getter
@Setter
@ToString
public class AgingTaskDetail {

	/** 主键id */
	private String id;

	/** aging_task主键id */
	@ApiModelProperty("aging_task主键id")
	private String agingTaskId;

	/** 生产ID */
	@Excel(name = "生产ID")
	@ApiModelProperty("生产ID")
	private String productionId;

	@Excel(name = "设备SN")
	@ApiModelProperty("设备SN")
	private String deviceSn;

	@Excel(name = "设备DID")
	@ApiModelProperty("设备DID")
	private String deviceDid;

	/** 日志 */
	@Excel(name = "日志")
	@ApiModelProperty("日志")
	private String logFile;

	@Excel(name = "创建时间")
	@ApiModelProperty("创建时间")
	private String createTime;

	private String license;

	private String pushStatus;
}
