package com.productiontest.domain;

import com.alibaba.fastjson2.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class FirmwareConfig {


    private Long id;

    @ApiModelProperty("厂商ID")
    private Long provider;

    @ApiModelProperty("厂商名称")
    private String providerName;

    @ApiModelProperty("配置参数")
    private Map<String,Object> itemList;

    @ApiModelProperty("企业ID")
    private Long deptId;

    private String newItemList;



    public void setItemList(Object itemList) {
        if(itemList instanceof CharSequence){
            this.itemList = JSON.parseObject((String)itemList);
        }else {
            this.itemList = (Map<String, Object>) itemList;
        }
    }




}
