package com.productiontest.domain;

import lombok.Data;
import com.productiontest.common.annotation.Excel;
import com.productiontest.common.core.domain.BaseEntity;

/**
 * 人员绑定-4G对象 production_test_user_card
 *
 * @author cf
 * @date 2023-06-14
 */
@Data
public class ProductionTestUserCard extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 人员账号
     */
    @Excel(name = "人员账号")
    private String userId;

    /**
     * 4G卡号
     */
    @Excel(name = "4G卡号")
    private String fourCard;


    private String workOrderId;


    private String pushStatus;

    private Long del;
}
