package com.productiontest.domain;

import com.productiontest.common.annotation.Excel;
import com.productiontest.common.core.domain.BaseEntity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 测试工单详情对象 production_work_order_testdetail
 * 
 * @author cf
 * @date 2023-02-16
 */
@Getter
@Setter
@ToString
public class ProductionWorkOrderTestdetail extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** 主键id */
	private String id;

	/** production_work_order主键id */
	@Excel(name = "production_work_order表 workorder_id")
	private String workorderId;

	/** 开始测试时间 */
	@Excel(name = "开始测试时间")
	private String beginTime;

	/** 结束测试时间 */
	@Excel(name = "结束测试时间")
	private String endTime;

	/** 测试总时长 */
	@Excel(name = "测试总时长")
	private Long testSumduration;

	/** 测试设备数 */
	@Excel(name = "测试设备数")
	private int testEquipmentsum;

	private String account;

	private Long flag;

	private String pushStatus;
}
