package com.productiontest.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

public class DateTool {


    public List<String> betweenDate(String beginTime, String endTime) {
        List<String> list = new ArrayList<>();
        try {
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
            Calendar cal = Calendar.getInstance();
            cal.setTime(sdf.parse(beginTime));

            for (long d = cal.getTimeInMillis(); d <= sdf.parse(endTime).getTime(); d = getDate(cal)) {
                list.add(sdf.format(d));
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return list;
    }

    public static long getDate(Calendar c) {
        c.set(Calendar.DAY_OF_MONTH, c.get(Calendar.DAY_OF_MONTH) + 1);
        return c.getTimeInMillis();
    }

}
