package com.productiontest.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@Api(tags = "授权明细",value = "授权明细")
public class LicenseProductStatistics {

    @ApiModelProperty("已上传")
    private Integer haveUploaded=0;

    @ApiModelProperty("已烧录")
    private Integer haveBurned=0;

    @ApiModelProperty("工单锁定")
    private Integer workOrderLock=0;

    @ApiModelProperty("可用授权")
    private Integer usableAuth=0;

}
