package com.productiontest.domain;

import com.productiontest.common.annotation.Excel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 数据字典对象 data_dictionary
 * 
 * @author cf
 * @date 2022-08-10
 */
@Getter
@Setter
@ToString
public class DataDictionary {

	/** 主键id */
	private Long id;

	/** 类型 */
	@Excel(name = "类型")
	@ApiModelProperty(value = "类型")
	private String dataType;

	/** 字典键 */
	@Excel(name = "字典类型")
	@ApiModelProperty(value = "字典类型")
	private String dataKey;

	/** 字典值 */
	@Excel(name = "字典值")
	@ApiModelProperty(value = "字典值")
	private String dataValue;

	private String dataNo;

	private String dataItem;

}
