package com.productiontest.domain;

import com.productiontest.common.annotation.Excel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 * 标签模板对象 label_template
 * 
 * @author cf
 * @date 2023-02-15
 */
@Getter
@Setter
@ToString
public class LabelTemplate {

	/** 主键id */
	private String id;

	/** json数据 */
	@Excel(name = "json数据")
	@ApiModelProperty("导入json的数据")
	private String detail;

	/** 企业id */
	@Excel(name = "企业id")
	@ApiModelProperty("企业id")
	private Long companyId;

	@Excel(name = "模板名称")
	@ApiModelProperty("模板名称")
	private String name;

	@Excel(name = "所属企业")
	@ApiModelProperty("所属企业")
	private Long deptId;

	@Excel(name = "提供下载地址")
	@ApiModelProperty("提供下载地址")
	private String httpFile;

	@Excel(name = "创建时间")
	@ApiModelProperty("创建时间")
	private String createTime;

	@Excel(name = "本地url")
	@ApiModelProperty("本地url")
	private String url;

	private String pushStatus;

	private String del;
}
