package com.productiontest.domain;

import com.productiontest.enums.OrderType;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.productiontest.common.annotation.Excel;
import com.productiontest.common.core.domain.BaseEntity;

/**
 * 修改日志-订单、工单对象 updateorder_log
 *
 * @author cf
 * @date 2023-06-07
 */
@Data
public class UpdateOrderLog {

    /**
     * 主键id
     */
    private String id;

    /**
     * 订单id、工单id
     */
    @Excel(name = "订单id、工单id")
    private String oddId;

    /**
     * 日志类型
     */
    @Excel(name = "日志类型")
    private String type;

    /**
     * 修改内容
     */
    @Excel(name = "修改内容")
    private String content;

    private String updateBy;

    private String updateTime;

    private String createTime;
    private Long deptId;
    private String pushStatus;
}
