/*
 Navicat Premium Data Transfer

 Source Server         : 本地数据库
 Source Server Type    : MySQL
 Source Server Version : 80027
 Source Host           : 127.0.0.1:3306
 Source Schema         : production_test

 Target Server Type    : MySQL
 Target Server Version : 80027
 File Encoding         : 65001

 Date: 02/03/2023 13:40:18
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for aging_task
-- ----------------------------
DROP TABLE IF EXISTS `aging_task`;
CREATE TABLE `aging_task`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `task_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '任务名称',
  `device_number` bigint(0) NULL DEFAULT 0 COMMENT '设备数',
  `test_number` bigint(0) NULL DEFAULT NULL COMMENT '测试次数',
  `test_frequency` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '测试频率',
  `begin_time` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '开始时间',
  `end_time` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '结束时间',
  `success_number` bigint(0) NULL DEFAULT 0 COMMENT '成功数量',
  `error_number` bigint(0) NULL DEFAULT 0 COMMENT '失败数量',
  `task_status` bigint(0) NULL DEFAULT NULL COMMENT '任务状态 0 未开始 1进行中 2 已结束 3 已取消',
  `equipment` text CHARACTER SET utf8 COLLATE utf8_bin NULL COMMENT '选择设备',
  `test_item` text CHARACTER SET utf8 COLLATE utf8_bin NULL COMMENT '测试项',
  `company_id` bigint(0) NULL DEFAULT NULL COMMENT '企业id',
  `every_test` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '每次测试',
  `every_test_type` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '每次测试类型 时分秒',
  `test_frequency_type` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '每次测试频率 时分秒',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '老化任务' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of aging_task
-- ----------------------------
INSERT INTO `aging_task` VALUES (1, 'PTZ测试任务', 100, 100, '30', '2023-03-02 11:12:12', '2023-03-02 12:11:44', 0, 0, 0, '100', '238,239', NULL, '10', '秒', '分');

SET FOREIGN_KEY_CHECKS = 1;
