/*
 Navicat Premium Data Transfer

 Source Server         : qianxin-java
 Source Server Type    : MySQL
 Source Server Version : 80019
 Source Host           : 119.45.29.124:3306
 Source Schema         : qianxin

 Target Server Type    : MySQL
 Target Server Version : 80019
 File Encoding         : 65001

 Date: 14/02/2023 13:48:47
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for pcba_work_order_copy1
-- ----------------------------
DROP TABLE IF EXISTS `pcba_work_order_copy1`;
CREATE TABLE `pcba_work_order_copy1`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `workorder_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '工单ID',
  `workorder_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '工单名称',
  `product_order` bigint(0) NULL DEFAULT NULL COMMENT '生产订单',
  `product_number` bigint(0) NULL DEFAULT NULL COMMENT '生产数量',
  `station_account` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '工位账号',
  `product_schedule` bigint(0) NULL DEFAULT NULL COMMENT '生产进度',
  `workorder_status` bigint(0) NULL DEFAULT NULL COMMENT '工单状态',
  `create_time` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '创建时间',
  `remark` text CHARACTER SET utf8 COLLATE utf8_bin NULL COMMENT '备注',
  `company_id` bigint(0) NULL DEFAULT NULL COMMENT '企业id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = 'PCBA生产工单' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of pcba_work_order_copy1
-- ----------------------------
INSERT INTO `pcba_work_order_copy1` VALUES (5, '2a8d2c6396c4a', '55', NULL, 6, '1,4,2', 0, 3, '2023-02-07 18:29:44', '456', 2);

SET FOREIGN_KEY_CHECKS = 1;
